# Method: customers.userLists.patch

- [HTTP request](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.userLists/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.userLists/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.userLists/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.userLists/patch#body.request_body)
- [Response body](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.userLists/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.userLists/patch#body.aspect)

Updates the requested Ads Data Hub-managed user list.

### HTTP request

`PATCH https://adsdatahub.googleapis.com/v1/{userList.name=customers/*/userLists/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `userList.name` | `string` Output only. Immutable. Name that uniquely identifies an Ads Data Hub user list. It has the form customers/\[customerId\]/userLists/\[userListId\] |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Required. Field mask to support partial updates. Only the following paths may be updated via the API: - title - description - recipientAdsDataLinks This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/ads-data-hub/reference/rest/v1/customers.userLists#UserList`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/ads-data-hub/reference/rest/v1/customers.userLists#UserList`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsdatahub`